import { Flex } from 'antd';
import React from 'react';
import DescriptionItem from '../../../../components/DescriptionItem';
import RealtimeIndex from '../RealtimeIndex';
import styles from './index.less';

const RaiseDust: React.FC = () => {
  return (
    <div className={styles.container}>
      <div className={styles.container}>
        <Flex justify="space-between">
          <RealtimeIndex indexId="207" />
          <div className={styles.rightWrap}>
            <DescriptionItem
              value={86.2}
              name="违规进入三环内车辆数"
              unit="辆"
            />
            <DescriptionItem
              value={86.2}
              style={{
                marginTop: 20,
              }}
              name="工地违规事件"
              unit="件"
            />
          </div>
        </Flex>
      </div>
    </div>
  );
};

export default RaiseDust;
