import DescriptionItem from '@/components/DescriptionItem';
import { Flex } from 'antd';
import styles from './index.less';
const Item1 = () => {
  return (
    <div className={styles.container}>
      <Flex justify="space-between">
        <DescriptionItem value={16376} name="今日立案" unit="件" />
        <DescriptionItem value={13486} name="今日已处置" unit="件" />
      </Flex>

      <div className={styles.gfTitle}>高发类型</div>
      <div className={styles.gfCont}>
        {[
          { name: '违规标语宣传品', count: 3283 },
          { name: '非机动车乱停放', count: 2348 },
        ]?.map((item, index) => {
          return (
            <div key={index} className={styles.items}>
              <div className={styles.tag}>TOP{index + 1}</div>
              <div className={styles.name}>{item.name}</div>
              <div className={styles.count}>
                {item?.count}
                <span>件</span>
              </div>
            </div>
          );
        })}
      </div>
    </div>
  );
};
export default Item1;
